Skip to main content

Transaction Result Notification (TRC20)

The system sends USDT-TRC20 transaction results to the callback URL provided by the merchant.

Request Information

  • Request URL: The notify_url address provided by the merchant when applying
  • Request Method: POST
  • Content-Type: application/json;charset=utf-8

Request Parameters (sent by the system to the merchant)

ParameterRequiredTypeDescription
txn_idYesString(11)System order number
txn_cl_idYesString(32)Merchant order number
amountYesInteger(10)Order amount (unit: 0.01 USDT)
feeYesintMerchant fee (unit: 0.01 USDT)
statusYesintOrder status (see table below)
from_addressYesstringSending address
target_addressYesstringReceiving address
create_timeYesString(7)Create time (unix timestamp, unit: seconds)
update_timeYesintUpdate time (unix timestamp, unit: seconds)
sign_typeNoStringSignature type: HMAC-SHA256 or MD5 (only returned for HMAC-SHA256 orders)
real_amountNoIntegerActual received amount (unit: 0.01 USDT). Returned when manually matched, representing the actual on-chain amount. Not included when unset
signYesString(32)Transaction signature

Request Example

{
"txn_id": "CTX00000007",
"txn_cl_id": "test_payout_txn_1634396394",
"amount": 50000000,
"fee": 0,
"status": 3,
"from_address": "TR1KMKNJAJRsPWuMVYnEkj1H3GaUdUe4wG",
"target_address": "TAkr13ZMWyPSpo7jvQ4ajgmm8X9EG4dEZK",
"create_time": 1634396394,
"update_time": 0,
"sign": "d373360cd44e420863b1ced04bc9efe0"
}

Merchant Response Example

After receiving the notification, the merchant needs to return JSON format data to confirm receipt of the notification.

{
"error_code": "0000"
}

TRC-20 Order Transaction Status

StatusValue
Success3
Closed4

Notes

  • This interface is implemented by the merchant, and this system will send notifications when the order is completed or closed
  • It is recommended that merchants implement a signature verification process to ensure the content has not been tampered with
  • More fields may be supported in the future. When integrating, please dynamically obtain fields with return values and generate signature verification. Do not hardcode the fields